Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.j2ee.statistics
Class StringStatisticImpl

    java.lang.Object
      com.sun.appserv.management.j2ee.statistics.StatisticImpl
          com.sun.appserv.management.j2ee.statistics.StringStatisticImpl

All Implemented Interfaces:
  java.io.Serializable, Statistic, StringStatistic

public final class StringStatisticImpl
extends StatisticImpl
implements StringStatistic, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`StringStatisticImpl(CompositeData compositeData)`
`StringStatisticImpl(java.util.Map m)`
`StringStatisticImpl(MapStatistic m)`
`StringStatisticImpl(StringStatistic s)`
`StringStatisticImpl(java.lang.String name, java.lang.String description, java.lang.String unit, long startTime, long lastSampleTime, java.lang.String current)`

Method Summary
`java.lang.String` | `getCurrent()`

Methods inherited from class com.sun.appserv.management.j2ee.statistics.StatisticImpl
`equals, getDescription, getLastSampleTime, getName, getStartTime, getUnit, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.Statistic
`getDescription, getLastSampleTime, getName, getStartTime, getUnit`

Constructor Detail

### StringStatisticImpl

    public StringStatisticImpl(CompositeData compositeData)

### StringStatisticImpl

    public StringStatisticImpl(java.util.Map m)

### StringStatisticImpl

    public StringStatisticImpl(StringStatistic s)

### StringStatisticImpl

    public StringStatisticImpl(MapStatistic m)

### StringStatisticImpl

    public StringStatisticImpl(java.lang.String name,
                               java.lang.String description,
                               java.lang.String unit,
                               long startTime,
                               long lastSampleTime,
                               java.lang.String current)

Method Detail

### getCurrent

    public java.lang.String getCurrent()

  Specified by:
    `getCurrent` in interface `StringStatistic`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.